# Player Configuration

As already mentioned, each **`addPlayer`**&#x4D;ethod takes an (optional) **CONFIG** Object. This Object is used for override Rules of the Player, that are otherwise controlled by nexxOMNIA.&#x20;

It is basically used like this:

```javascript
var obj = { dataMode: "static", autoPlay:1 };
var cfg = new _play.PlayerConfiguration(obj);
cfg.addOverride("delay", 15);

var player = _play.control.addPlayer("div", 1234, "video", cfg);
```

The full (very long) List of supported Override Options can be found here:

{% content-ref url="/pages/-M9FfDOPhMEysfN-axhI" %}
[SDK Override Options](/integration-enhancements/override-options.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://play.docs.nexx.cloud/javascript-sdk/player-configuration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
